clippy 0.0.301

A bunch of helpful lints to avoid common pitfalls in Rust.
clippy-0.0.301 is not a library.